OCIOCONVERT(1)

NAME
ocioconvert - apply colorspace transform to an image

DESCRIPTION
ocioconvert -- apply colorspace transform to an image

usage: ocioconvert [options] inputimage inputcolorspace outputimage outputcolorspace

    or: ocioconvert [options] --lut lutfile inputimage outputimage or: ocioconvert [options] --view inputimage inputcolorspace outputimage displayname viewname

OPTIONS

--lut
    Convert using a LUT rather than a config file

--view
    Convert to a (display,view) pair rather than to an output color space

--gpu
    Use GPU color processing instead of CPU (CPU is the default)

--gpulegacy
    Use the legacy (i.e. baked) GPU color processing instead of the CPU one (--gpu is ignored)

--gpuinfo
    Output the OCIO shader program

--help
    Print help message

-v  Display general information

  OpenImageIO options:

--float-attribute %L
    "name=float" pair defining OIIO float attribute for outputimage

--int-attribute %L
    "name=int" pair defining OIIO int attribute for outputimage

--string-attribute %L
    "name=string" pair defining OIIO string attribute for outputimage

--croptofull
    Crop or pad to make pixel data region match the "full" region

--ch %s
    Select channels (e.g., "2,3,4")